#define LZY_IMPLEMENTATION
#define LZY_GINT_TILESET bimg_tset
#define LZY_GINT_FONT    bimg_font
#define LZY_CHR_WIDTH    16
#define LZY_CHR_HEIGHT   16
#define LZY_FIRST_CHR    ' '
#include "lzy.h"

static void draw_player(int x, int y);

int main(void) {
	int x = 0;
	int y = 0;

	if (LZY_Init("lzy example", 30, "res/tset.png", "res/font.png")) {
		LZY_Log(LZY_GetError());
		LZY_Quit();
		return 1;
	}
	LZY_Log("init was great success!");

	do {
		/* update */
		LZY_CycleEvents();
		if (LZY_KeyDown(LZYK_LEFT))
			x--;
		if (LZY_KeyDown(LZYK_RIGHT))
			x++;
		if (LZY_KeyDown(LZYK_UP))
			y--;
		if (LZY_KeyDown(LZYK_DOWN))
			y++;

		/* draw */
		LZY_DrawBegin();
		{
			LZY_DrawSetColor(0x20, 0x20, 0x00);
			LZY_DrawClear();
			LZY_DrawText("HELLOWO!", 0, 0);
			draw_player(x, y);
		}
		LZY_DrawEnd();
	} while (!LZY_ShouldQuit());

	LZY_Log("cya");
	LZY_Quit();
	return 0;
}

static void draw_player(int x, int y) {
	if (LZY_DrawTile(14, x, y))
		LZY_Log(LZY_GetError());
}
